XML11Configuration (Xerces2 Implementation)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.parsers
Class XML11Configuration

    java.lang.Object
      org.apache.xerces.util.ParserConfigurationSettings
          org.apache.xerces.parsers.XML11Configuration

All Implemented Interfaces:
  XML11Configurable, org.apache.xerces.xni.parser.XMLComponentManager, org.apache.xerces.xni.parser.XMLParserConfiguration, org.apache.xerces.xni.parser.XMLPullParserConfiguration

Direct Known Subclasses:
  XIncludeAwareParserConfiguration, XIncludeParserConfiguration, XPointerParserConfiguration

    public class XML11Configuration

extends ParserConfigurationSettings
implements org.apache.xerces.xni.parser.XMLPullParserConfiguration, XML11Configurable

This class is the configuration used to parse XML 1.0 and XML 1.1 documents.

Version:
  $Id: XML11Configuration.java 805582 2009-08-18 21:13:20Z sandygao $
Author:
  Elena Litani, IBM, Neil Graham, IBM, Michael Glavassevich, IBM

Field Summary
`protected static java.lang.String` | `ALLOW_JAVA_ENCODINGS` Feature identifier: allow Java encodings.
`protected static java.lang.String` | `CONTINUE_AFTER_FATAL_ERROR` Feature identifier: continue after fatal error.
`protected static java.lang.String` | `DATATYPE_VALIDATOR_FACTORY` Property identifier: datatype validator factory.
`protected static java.lang.String` | `DOCUMENT_SCANNER` Property identifier document scanner:
`protected static java.lang.String` | `DTD_PROCESSOR` Property identifier: DTD loader.
`protected static java.lang.String` | `DTD_SCANNER` Property identifier: DTD scanner.
`protected static java.lang.String` | `DTD_VALIDATOR` Property identifier: DTD validator.
`protected static java.lang.String` | `ENTITY_MANAGER` Property identifier: entity manager.
`protected static java.lang.String` | `ENTITY_RESOLVER` Property identifier: entity resolver.
`protected static java.lang.String` | `ERROR_HANDLER` Property identifier: error handler.
`protected static java.lang.String` | `ERROR_REPORTER` Property identifier: error reporter.
`protected static java.lang.String` | `EXTERNAL_GENERAL_ENTITIES` Feature identifier: external general entities.
`protected static java.lang.String` | `EXTERNAL_PARAMETER_ENTITIES` Feature identifier: external parameter entities.
`protected java.util.ArrayList` | `fCommonComponents` Common components: XMLEntityManager, XMLErrorReporter, XMLSchemaValidator
`protected java.util.ArrayList` | `fComponents` XML 1.0 Components.
`protected boolean` | `fConfigUpdated` fConfigUpdated is set to true if there has been any change to the configuration settings, i.e a feature or a property was changed.
`protected org.apache.xerces.xni.parser.XMLDTDScanner` | `fCurrentDTDScanner` Current DTD scanner.
`protected DTDDVFactory` | `fCurrentDVFactory` Current Datatype validator factory.
`protected org.apache.xerces.xni.parser.XMLDocumentScanner` | `fCurrentScanner` Current scanner
`protected DTDDVFactory` | `fDatatypeValidatorFactory` The XML 1.0 Datatype validator factory.
`protected org.apache.xerces.xni.XMLDocumentHandler` | `fDocumentHandler` The document handler.
`protected org.apache.xerces.xni.XMLDTDContentModelHandler` | `fDTDContentModelHandler` The DTD content model handler.
`protected org.apache.xerces.xni.XMLDTDHandler` | `fDTDHandler` The DTD handler.
`protected XMLDTDProcessor` | `fDTDProcessor` The XML 1.0 DTD Processor .
`protected org.apache.xerces.xni.parser.XMLDTDScanner` | `fDTDScanner` The XML 1.0 DTD scanner.
`protected XMLDTDValidator` | `fDTDValidator` The XML 1.0 DTD Validator: binds namespaces
`protected XMLEntityManager` | `fEntityManager` Entity manager.
`protected XMLErrorReporter` | `fErrorReporter` Error reporter.
`protected org.apache.xerces.xni.grammars.XMLGrammarPool` | `fGrammarPool` Grammar pool.
`protected org.apache.xerces.xni.parser.XMLInputSource` | `fInputSource`
`protected org.apache.xerces.xni.parser.XMLDocumentSource` | `fLastComponent` Last component in the document pipeline
`protected java.util.Locale` | `fLocale`
`protected XMLNSDocumentScannerImpl` | `fNamespaceScanner` The XML 1.0 Document scanner that does namespace binding.
`protected XMLDTDValidator` | `fNonNSDTDValidator` The XML 1.0 DTD Validator that does not bind namespaces
`protected XMLDocumentScannerImpl` | `fNonNSScanner` The XML 1.0 Non-namespace implementation of scanner
`protected boolean` | `fParseInProgress` True if a parse is in progress.
`protected XMLSchemaValidator` | `fSchemaValidator` XML Schema Validator.
`protected SymbolTable` | `fSymbolTable`
`protected ValidationManager` | `fValidationManager`
`protected XMLVersionDetector` | `fVersionDetector`
`protected java.util.ArrayList` | `fXML11Components` XML 1.1.
`protected DTDDVFactory` | `fXML11DatatypeFactory` The XML 1.1 datatype factory.
`protected XML11DocumentScannerImpl` | `fXML11DocScanner` The XML 1.1 document scanner that does not do namespace binding.
`protected XML11DTDProcessor` | `fXML11DTDProcessor` The XML 1.1 DTD processor.
`protected XML11DTDScannerImpl` | `fXML11DTDScanner` The XML 1.1 DTD scanner.
`protected XML11DTDValidator` | `fXML11DTDValidator` The XML 1.1 DTD validator that does not do namespace binding.
`protected XML11NSDocumentScannerImpl` | `fXML11NSDocScanner` The XML 1.1 document scanner that does namespace binding.
`protected XML11NSDTDValidator` | `fXML11NSDTDValidator` The XML 1.1 DTD validator that does namespace binding.
`protected static java.lang.String` | `GENERATE_SYNTHETIC_ANNOTATIONS` Feature: generate synthetic annotations
`protected static java.lang.String` | `HONOUR_ALL_SCHEMALOCATIONS` Feature identifier: honour all schemaLocations
`protected static java.lang.String` | `ID_IDREF_CHECKING` Feature identifier: whether to ignore ID/IDREF errors
`protected static java.lang.String` | `IDENTITY_CONSTRAINT_CHECKING` Feature identifier: whether to ignore identity constraint errors
`protected static java.lang.String` | `IGNORE_XSI_TYPE` Feature identifier: whether to ignore xsi:type attributes until a global element declaration is encountered
`protected static java.lang.String` | `JAXP_SCHEMA_LANGUAGE` Property identifier: JAXP schema language / DOM schema-type.
`protected static java.lang.String` | `JAXP_SCHEMA_SOURCE` Property identifier: JAXP schema source/ DOM schema-location.
`protected static java.lang.String` | `LOAD_EXTERNAL_DTD` Feature identifier: load external DTD.
`protected static java.lang.String` | `LOCALE` Property identifier: locale.
`protected static java.lang.String` | `NAMESPACE_BINDER` Property identifier: namespace binder.
`protected static java.lang.String` | `NAMESPACE_GROWTH` Feature identifier: namespace growth
`protected static java.lang.String` | `NAMESPACES` Feature identifier: namespaces.
`protected static java.lang.String` | `NORMALIZE_DATA` Feature identifier: expose schema normalized value
`protected static java.lang.String` | `NOTIFY_BUILTIN_REFS` Feature identifier: notify built-in refereces.
`protected static java.lang.String` | `NOTIFY_CHAR_REFS` Feature identifier: notify character refereces.
`protected static boolean` | `PRINT_EXCEPTION_STACK_TRACE` Set to true and recompile to print exception stack trace.
`protected static java.lang.String` | `ROOT_ELEMENT_DECL` Property identifier: root element declaration.
`protected static java.lang.String` | `ROOT_TYPE_DEF` Property identifier: root type definition.
`protected static java.lang.String` | `SCHEMA_AUGMENT_PSVI` Feature identifier: augment PSVI
`protected static java.lang.String` | `SCHEMA_DV_FACTORY` Property identifier: Schema DV Factory
`protected static java.lang.String` | `SCHEMA_ELEMENT_DEFAULT` Feature identifier: send element default value via characters()
`protected static java.lang.String` | `SCHEMA_LOCATION` Property identifier: schema location.
`protected static java.lang.String` | `SCHEMA_NONS_LOCATION` Property identifier: no namespace schema location.
`protected static java.lang.String` | `SCHEMA_VALIDATOR` Property identifier: XML Schema validator.
`protected static java.lang.String` | `SYMBOL_TABLE` Property identifier: symbol table.
`protected static java.lang.String` | `TOLERATE_DUPLICATES` Feature identifier: tolerate duplicates
`protected static java.lang.String` | `UNPARSED_ENTITY_CHECKING` Feature identifier: whether to ignore unparsed entity errors
`protected static java.lang.String` | `USE_GRAMMAR_POOL_ONLY` Feature identifier: use grammar pool only
`protected static java.lang.String` | `VALIDATE_ANNOTATIONS` Feature identifier: validate annotations
`protected static java.lang.String` | `VALIDATION` Feature identifier: validation.
`protected static java.lang.String` | `VALIDATION_MANAGER`
`protected static java.lang.String` | `WARN_ON_DUPLICATE_ATTDEF` Feature identifier: warn on duplicate attribute definition.
`protected static java.lang.String` | `WARN_ON_DUPLICATE_ENTITYDEF` Feature identifier: warn on duplicate entity definition.
`protected static java.lang.String` | `WARN_ON_UNDECLARED_ELEMDEF` Feature identifier: warn on undeclared element definition.
`protected static java.lang.String` | `XML_STRING` Property identifier: xml string.
`protected static java.lang.String` | `XML11_DATATYPE_VALIDATOR_FACTORY`
`protected static java.lang.String` | `XMLGRAMMAR_POOL` Property identifier: grammar pool.
`protected static java.lang.String` | `XMLSCHEMA_FULL_CHECKING` feature identifier: XML Schema validation -- full checking
`protected static java.lang.String` | `XMLSCHEMA_VALIDATION` feature identifier: XML Schema validation

Fields inherited from class org.apache.xerces.util.ParserConfigurationSettings
`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties, PARSER_SETTINGS`

Constructor Summary
`XML11Configuration()` Default constructor.
`XML11Configuration(SymbolTable symbolTable)` Constructs a parser configuration using the specified symbol table.
`XML11Configuration(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)` Constructs a parser configuration using the specified symbol table and grammar pool.
`XML11Configuration(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool, org.apache.xerces.xni.parser.XMLComponentManager parentSettings)` Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

Method Summary
`protected void` | `addCommonComponent(org.apache.xerces.xni.parser.XMLComponent component)` Adds common component to the parser configuration.
`protected void` | `addComponent(org.apache.xerces.xni.parser.XMLComponent component)` Adds a component to the parser configuration.
`protected void` | `addRecognizedParamsAndSetDefaults(org.apache.xerces.xni.parser.XMLComponent component)` Adds all of the component's recognized features and properties to the list of default recognized features and properties, and sets default values on the configuration for features and properties which were previously absent from the configuration.
`protected void` | `addXML11Component(org.apache.xerces.xni.parser.XMLComponent component)` Adds an XML 1.1 component to the parser configuration.
`protected void` | `checkFeature(java.lang.String featureId)` Check a feature.
`protected void` | `checkProperty(java.lang.String propertyId)` Check a property.
`void` | `cleanup()` If the application decides to terminate parsing before the xml document is fully parsed, the application should call this method to free any resource allocated during parsing.
`protected void` | `configurePipeline()` Configures the pipeline.
`protected void` | `configureXML11Pipeline()` Configures the XML 1.1 pipeline.
`org.apache.xerces.xni.XMLDocumentHandler` | `getDocumentHandler()` Returns the registered document handler.
`org.apache.xerces.xni.XMLDTDContentModelHandler` | `getDTDContentModelHandler()` Returns the registered DTD content model handler.
`org.apache.xerces.xni.XMLDTDHandler` | `getDTDHandler()` Returns the registered DTD handler.
`org.apache.xerces.xni.parser.XMLEntityResolver` | `getEntityResolver()` Return the current entity resolver.
`org.apache.xerces.xni.parser.XMLErrorHandler` | `getErrorHandler()` Return the current error handler.
`boolean` | `getFeature(java.lang.String featureId)` Returns the state of a feature.
`java.util.Locale` | `getLocale()` Returns the locale.
`java.lang.Object` | `getProperty(java.lang.String propertyId)` Returns the value of a property.
`boolean` | `parse(boolean complete)` Parses the document in a pull parsing fashion.
`void` | `parse(org.apache.xerces.xni.parser.XMLInputSource source)` Parses the specified input source.
`protected void` | `reset()` reset all XML 1.0 components before parsing and namespace context
`protected void` | `resetCommon()` reset all common components before parsing
`protected void` | `resetXML11()` reset all components before parsing and namespace context
`void` | `setDocumentHandler(org.apache.xerces.xni.XMLDocumentHandler documentHandler)` Sets the document handler on the last component in the pipeline to receive information about the document.
`void` | `setDTDContentModelHandler(org.apache.xerces.xni.XMLDTDContentModelHandler handler)` Sets the DTD content model handler.
`void` | `setDTDHandler(org.apache.xerces.xni.XMLDTDHandler dtdHandler)` Sets the DTD handler.
`void` | `setEntityResolver(org.apache.xerces.xni.parser.XMLEntityResolver resolver)` Sets the resolver used to resolve external entities.
`void` | `setErrorHandler(org.apache.xerces.xni.parser.XMLErrorHandler errorHandler)` Allow an application to register an error event handler.
`void` | `setFeature(java.lang.String featureId, boolean state)` Set the state of a feature.
`void` | `setInputSource(org.apache.xerces.xni.parser.XMLInputSource inputSource)` Sets the input source for the document to parse.
`void` | `setLocale(java.util.Locale locale)` Set the locale to use for messages.
`void` | `setProperty(java.lang.String propertyId, java.lang.Object value)` setProperty

Methods inherited from class org.apache.xerces.util.ParserConfigurationSettings
`addRecognizedFeatures, addRecognizedProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties`

Field Detail

### XML11_DATATYPE_VALIDATOR_FACTORY

    protected static final java.lang.String XML11_DATATYPE_VALIDATOR_FACTORY

See Also:
  Constant Field Values

### WARN_ON_DUPLICATE_ATTDEF

    protected static final java.lang.String WARN_ON_DUPLICATE_ATTDEF

  Feature identifier: warn on duplicate attribute definition.

  See Also:
    Constant Field Values

### WARN_ON_DUPLICATE_ENTITYDEF

    protected static final java.lang.String WARN_ON_DUPLICATE_ENTITYDEF

  Feature identifier: warn on duplicate entity definition.

  See Also:
    Constant Field Values

### WARN_ON_UNDECLARED_ELEMDEF

    protected static final java.lang.String WARN_ON_UNDECLARED_ELEMDEF

  Feature identifier: warn on undeclared element definition.

  See Also:
    Constant Field Values

### ALLOW_JAVA_ENCODINGS

    protected static final java.lang.String ALLOW_JAVA_ENCODINGS

  Feature identifier: allow Java encodings.

  See Also:
    Constant Field Values

### CONTINUE_AFTER_FATAL_ERROR

    protected static final java.lang.String CONTINUE_AFTER_FATAL_ERROR

  Feature identifier: continue after fatal error.

  See Also:
    Constant Field Values

### LOAD_EXTERNAL_DTD

    protected static final java.lang.String LOAD_EXTERNAL_DTD

  Feature identifier: load external DTD.

  See Also:
    Constant Field Values

### NOTIFY_BUILTIN_REFS

    protected static final java.lang.String NOTIFY_BUILTIN_REFS

  Feature identifier: notify built-in refereces.

  See Also:
    Constant Field Values

### NOTIFY_CHAR_REFS

    protected static final java.lang.String NOTIFY_CHAR_REFS

  Feature identifier: notify character refereces.

  See Also:
    Constant Field Values

### NORMALIZE_DATA

    protected static final java.lang.String NORMALIZE_DATA

  Feature identifier: expose schema normalized value

  See Also:
    Constant Field Values

### SCHEMA_ELEMENT_DEFAULT

    protected static final java.lang.String SCHEMA_ELEMENT_DEFAULT

  Feature identifier: send element default value via characters()

  See Also:
    Constant Field Values

### SCHEMA_AUGMENT_PSVI

    protected static final java.lang.String SCHEMA_AUGMENT_PSVI

  Feature identifier: augment PSVI

  See Also:
    Constant Field Values

### XMLSCHEMA_VALIDATION

    protected static final java.lang.String XMLSCHEMA_VALIDATION

  feature identifier: XML Schema validation

  See Also:
    Constant Field Values

### XMLSCHEMA_FULL_CHECKING

    protected static final java.lang.String XMLSCHEMA_FULL_CHECKING

  feature identifier: XML Schema validation -- full checking

  See Also:
    Constant Field Values

### GENERATE_SYNTHETIC_ANNOTATIONS

    protected static final java.lang.String GENERATE_SYNTHETIC_ANNOTATIONS

  Feature: generate synthetic annotations

  See Also:
    Constant Field Values

### VALIDATE_ANNOTATIONS

    protected static final java.lang.String VALIDATE_ANNOTATIONS

  Feature identifier: validate annotations

  See Also:
    Constant Field Values

### HONOUR_ALL_SCHEMALOCATIONS

    protected static final java.lang.String HONOUR_ALL_SCHEMALOCATIONS

  Feature identifier: honour all schemaLocations

  See Also:
    Constant Field Values

### NAMESPACE_GROWTH

    protected static final java.lang.String NAMESPACE_GROWTH

  Feature identifier: namespace growth

  See Also:
    Constant Field Values

### TOLERATE_DUPLICATES

    protected static final java.lang.String TOLERATE_DUPLICATES

  Feature identifier: tolerate duplicates

  See Also:
    Constant Field Values

### USE_GRAMMAR_POOL_ONLY

    protected static final java.lang.String USE_GRAMMAR_POOL_ONLY

  Feature identifier: use grammar pool only

  See Also:
    Constant Field Values

### VALIDATION

    protected static final java.lang.String VALIDATION

  Feature identifier: validation.

  See Also:
    Constant Field Values

### NAMESPACES

    protected static final java.lang.String NAMESPACES

  Feature identifier: namespaces.

  See Also:
    Constant Field Values

### EXTERNAL_GENERAL_ENTITIES

    protected static final java.lang.String EXTERNAL_GENERAL_ENTITIES

  Feature identifier: external general entities.

  See Also:
    Constant Field Values

### EXTERNAL_PARAMETER_ENTITIES

    protected static final java.lang.String EXTERNAL_PARAMETER_ENTITIES

  Feature identifier: external parameter entities.

  See Also:
    Constant Field Values

### IGNORE_XSI_TYPE

    protected static final java.lang.String IGNORE_XSI_TYPE

  Feature identifier: whether to ignore xsi:type attributes until a global element declaration is encountered

  See Also:
    Constant Field Values

### ID_IDREF_CHECKING

    protected static final java.lang.String ID_IDREF_CHECKING

  Feature identifier: whether to ignore ID/IDREF errors

  See Also:
    Constant Field Values

### UNPARSED_ENTITY_CHECKING

    protected static final java.lang.String UNPARSED_ENTITY_CHECKING

  Feature identifier: whether to ignore unparsed entity errors

  See Also:
    Constant Field Values

### IDENTITY_CONSTRAINT_CHECKING

    protected static final java.lang.String IDENTITY_CONSTRAINT_CHECKING

  Feature identifier: whether to ignore identity constraint errors

  See Also:
    Constant Field Values

### XML_STRING

    protected static final java.lang.String XML_STRING

  Property identifier: xml string.

  See Also:
    Constant Field Values

### SYMBOL_TABLE

    protected static final java.lang.String SYMBOL_TABLE

  Property identifier: symbol table.

  See Also:
    Constant Field Values

### ERROR_HANDLER

    protected static final java.lang.String ERROR_HANDLER

  Property identifier: error handler.

  See Also:
    Constant Field Values

### ENTITY_RESOLVER

    protected static final java.lang.String ENTITY_RESOLVER

  Property identifier: entity resolver.

  See Also:
    Constant Field Values

### SCHEMA_VALIDATOR

    protected static final java.lang.String SCHEMA_VALIDATOR

  Property identifier: XML Schema validator.

  See Also:
    Constant Field Values

### SCHEMA_LOCATION

    protected static final java.lang.String SCHEMA_LOCATION

  Property identifier: schema location.

  See Also:
    Constant Field Values

### SCHEMA_NONS_LOCATION

    protected static final java.lang.String SCHEMA_NONS_LOCATION

  Property identifier: no namespace schema location.

  See Also:
    Constant Field Values

### ERROR_REPORTER

    protected static final java.lang.String ERROR_REPORTER

  Property identifier: error reporter.

  See Also:
    Constant Field Values

### ENTITY_MANAGER

    protected static final java.lang.String ENTITY_MANAGER

  Property identifier: entity manager.

  See Also:
    Constant Field Values

### DOCUMENT_SCANNER

    protected static final java.lang.String DOCUMENT_SCANNER

  Property identifier document scanner:

  See Also:
    Constant Field Values

### DTD_SCANNER

    protected static final java.lang.String DTD_SCANNER

  Property identifier: DTD scanner.

  See Also:
    Constant Field Values

### XMLGRAMMAR_POOL

    protected static final java.lang.String XMLGRAMMAR_POOL

  Property identifier: grammar pool.

  See Also:
    Constant Field Values

### DTD_PROCESSOR

    protected static final java.lang.String DTD_PROCESSOR

  Property identifier: DTD loader.

  See Also:
    Constant Field Values

### DTD_VALIDATOR

    protected static final java.lang.String DTD_VALIDATOR

  Property identifier: DTD validator.

  See Also:
    Constant Field Values

### NAMESPACE_BINDER

    protected static final java.lang.String NAMESPACE_BINDER

  Property identifier: namespace binder.

  See Also:
    Constant Field Values

### DATATYPE_VALIDATOR_FACTORY

    protected static final java.lang.String DATATYPE_VALIDATOR_FACTORY

  Property identifier: datatype validator factory.

  See Also:
    Constant Field Values

### VALIDATION_MANAGER

    protected static final java.lang.String VALIDATION_MANAGER

See Also:
  Constant Field Values

### JAXP_SCHEMA_LANGUAGE

    protected static final java.lang.String JAXP_SCHEMA_LANGUAGE

  Property identifier: JAXP schema language / DOM schema-type.

  See Also:
    Constant Field Values

### JAXP_SCHEMA_SOURCE

    protected static final java.lang.String JAXP_SCHEMA_SOURCE

  Property identifier: JAXP schema source/ DOM schema-location.

  See Also:
    Constant Field Values

### LOCALE

    protected static final java.lang.String LOCALE

  Property identifier: locale.

  See Also:
    Constant Field Values

### ROOT_TYPE_DEF

    protected static final java.lang.String ROOT_TYPE_DEF

  Property identifier: root type definition.

  See Also:
    Constant Field Values

### ROOT_ELEMENT_DECL

    protected static final java.lang.String ROOT_ELEMENT_DECL

  Property identifier: root element declaration.

  See Also:
    Constant Field Values

### SCHEMA_DV_FACTORY

    protected static final java.lang.String SCHEMA_DV_FACTORY

  Property identifier: Schema DV Factory

  See Also:
    Constant Field Values

### PRINT_EXCEPTION_STACK_TRACE

    protected static final boolean PRINT_EXCEPTION_STACK_TRACE

  Set to true and recompile to print exception stack trace.

  See Also:
    Constant Field Values

### fSymbolTable

    protected SymbolTable fSymbolTable

### fInputSource

    protected org.apache.xerces.xni.parser.XMLInputSource fInputSource

### fValidationManager

    protected final ValidationManager fValidationManager

### fVersionDetector

    protected final XMLVersionDetector fVersionDetector

### fLocale

    protected java.util.Locale fLocale

### fComponents

    protected final java.util.ArrayList fComponents

  XML 1.0 Components.

### fXML11Components

    protected final java.util.ArrayList fXML11Components

  XML 1.1. Components.

### fCommonComponents

    protected final java.util.ArrayList fCommonComponents

  Common components: XMLEntityManager, XMLErrorReporter, XMLSchemaValidator

### fDocumentHandler

    protected org.apache.xerces.xni.XMLDocumentHandler fDocumentHandler

  The document handler.

### fDTDHandler

    protected org.apache.xerces.xni.XMLDTDHandler fDTDHandler

  The DTD handler.

### fDTDContentModelHandler

    protected org.apache.xerces.xni.XMLDTDContentModelHandler fDTDContentModelHandler

  The DTD content model handler.

### fLastComponent

    protected org.apache.xerces.xni.parser.XMLDocumentSource fLastComponent

  Last component in the document pipeline

### fParseInProgress

    protected boolean fParseInProgress

  True if a parse is in progress. This state is needed because some features/properties cannot be set while parsing (e.g. validation and namespaces).

### fConfigUpdated

    protected boolean fConfigUpdated

  fConfigUpdated is set to true if there has been any change to the configuration settings, i.e a feature or a property was changed.

### fDatatypeValidatorFactory

    protected final DTDDVFactory fDatatypeValidatorFactory

  The XML 1.0 Datatype validator factory.

### fNamespaceScanner

    protected final XMLNSDocumentScannerImpl fNamespaceScanner

  The XML 1.0 Document scanner that does namespace binding.

### fNonNSScanner

    protected XMLDocumentScannerImpl fNonNSScanner

  The XML 1.0 Non-namespace implementation of scanner

### fDTDValidator

    protected final XMLDTDValidator fDTDValidator

  The XML 1.0 DTD Validator: binds namespaces

### fNonNSDTDValidator

    protected XMLDTDValidator fNonNSDTDValidator

  The XML 1.0 DTD Validator that does not bind namespaces

### fDTDScanner

    protected final org.apache.xerces.xni.parser.XMLDTDScanner fDTDScanner

  The XML 1.0 DTD scanner.

### fDTDProcessor

    protected final XMLDTDProcessor fDTDProcessor

  The XML 1.0 DTD Processor .

### fXML11DatatypeFactory

    protected DTDDVFactory fXML11DatatypeFactory

  The XML 1.1 datatype factory.

### fXML11NSDocScanner

    protected XML11NSDocumentScannerImpl fXML11NSDocScanner

  The XML 1.1 document scanner that does namespace binding.

### fXML11DocScanner

    protected XML11DocumentScannerImpl fXML11DocScanner

  The XML 1.1 document scanner that does not do namespace binding.

### fXML11NSDTDValidator

    protected XML11NSDTDValidator fXML11NSDTDValidator

  The XML 1.1 DTD validator that does namespace binding.

### fXML11DTDValidator

    protected XML11DTDValidator fXML11DTDValidator

  The XML 1.1 DTD validator that does not do namespace binding.

### fXML11DTDScanner

    protected XML11DTDScannerImpl fXML11DTDScanner

  The XML 1.1 DTD scanner.

### fXML11DTDProcessor

    protected XML11DTDProcessor fXML11DTDProcessor

  The XML 1.1 DTD processor.

### fGrammarPool

    protected org.apache.xerces.xni.grammars.XMLGrammarPool fGrammarPool

  Grammar pool.

### fErrorReporter

    protected XMLErrorReporter fErrorReporter

  Error reporter.

### fEntityManager

    protected XMLEntityManager fEntityManager

  Entity manager.

### fSchemaValidator

    protected XMLSchemaValidator fSchemaValidator

  XML Schema Validator.

### fCurrentScanner

    protected org.apache.xerces.xni.parser.XMLDocumentScanner fCurrentScanner

  Current scanner

### fCurrentDVFactory

    protected DTDDVFactory fCurrentDVFactory

  Current Datatype validator factory.

### fCurrentDTDScanner

    protected org.apache.xerces.xni.parser.XMLDTDScanner fCurrentDTDScanner

  Current DTD scanner.

Constructor Detail

### XML11Configuration

    public XML11Configuration()

  Default constructor.

### XML11Configuration

    public XML11Configuration(SymbolTable symbolTable)

  Constructs a parser configuration using the specified symbol table.

  Parameters:
    `symbolTable` - The symbol table to use.

### XML11Configuration

    public XML11Configuration(SymbolTable symbolTable,
                              org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)

  Constructs a parser configuration using the specified symbol table and grammar pool.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.

### XML11Configuration

    public XML11Configuration(SymbolTable symbolTable,
                              org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool,
                              org.apache.xerces.xni.parser.XMLComponentManager parentSettings)

  Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.
    `parentSettings` - The parent settings.

Method Detail

### setInputSource

    public void setInputSource(org.apache.xerces.xni.parser.XMLInputSource inputSource)
                        throws org.apache.xerces.xni.parser.XMLConfigurationException,
                               java.io.IOException

  Sets the input source for the document to parse.

  Specified by:
    `setInputSource` in interface `org.apache.xerces.xni.parser.XMLPullParserConfiguration`
  Parameters:
    `inputSource` - The document's input source.
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown if there is a configuration error when initializing the parser.
    `java.io.IOException` - Thrown on I/O error.
  See Also:
    `parse(boolean)`

### setLocale

    public void setLocale(java.util.Locale locale)
                   throws org.apache.xerces.xni.XNIException

  Set the locale to use for messages.

  Specified by:
    `setLocale` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `locale` - The locale object to use for localization of messages.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown if the parser does not support the specified locale.

### setDocumentHandler

    public void setDocumentHandler(org.apache.xerces.xni.XMLDocumentHandler documentHandler)

  Sets the document handler on the last component in the pipeline to receive information about the document.

  Specified by:
    `setDocumentHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `documentHandler` - The document handler.

### getDocumentHandler

    public org.apache.xerces.xni.XMLDocumentHandler getDocumentHandler()

  Returns the registered document handler.

  Specified by:
    `getDocumentHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`

### setDTDHandler

    public void setDTDHandler(org.apache.xerces.xni.XMLDTDHandler dtdHandler)

  Sets the DTD handler.

  Specified by:
    `setDTDHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `dtdHandler` - The DTD handler.

### getDTDHandler

    public org.apache.xerces.xni.XMLDTDHandler getDTDHandler()

  Returns the registered DTD handler.

  Specified by:
    `getDTDHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`

### setDTDContentModelHandler

    public void setDTDContentModelHandler(org.apache.xerces.xni.XMLDTDContentModelHandler handler)

  Sets the DTD content model handler.

  Specified by:
    `setDTDContentModelHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `handler` - The DTD content model handler.

### getDTDContentModelHandler

    public org.apache.xerces.xni.XMLDTDContentModelHandler getDTDContentModelHandler()

  Returns the registered DTD content model handler.

  Specified by:
    `getDTDContentModelHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`

### setEntityResolver

    public void setEntityResolver(org.apache.xerces.xni.parser.XMLEntityResolver resolver)

  Sets the resolver used to resolve external entities. The EntityResolver interface supports resolution of public and system identifiers.

  Specified by:
    `setEntityResolver` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `resolver` - The new entity resolver. Passing a null value will uninstall the currently installed resolver.

### getEntityResolver

    public org.apache.xerces.xni.parser.XMLEntityResolver getEntityResolver()

  Return the current entity resolver.

  Specified by:
    `getEntityResolver` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Returns:
    The current entity resolver, or null if none has been registered.
  See Also:
    `setEntityResolver(org.apache.xerces.xni.parser.XMLEntityResolver)`

### setErrorHandler

    public void setErrorHandler(org.apache.xerces.xni.parser.XMLErrorHandler errorHandler)

  Allow an application to register an error event handler.

  If the application does not register an error handler, all error events reported by the SAX parser will be silently ignored; however, normal processing may not continue. It is highly recommended that all SAX applications implement an error handler to avoid unexpected bugs.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setErrorHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `errorHandler` - The error handler.
  Throws:
    `java.lang.NullPointerException` - If the handler argument is null.
  See Also:
    `getErrorHandler()`

### getErrorHandler

    public org.apache.xerces.xni.parser.XMLErrorHandler getErrorHandler()

  Return the current error handler.

  Specified by:
    `getErrorHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Returns:
    The current error handler, or null if none has been registered.
  See Also:
    `setErrorHandler(org.apache.xerces.xni.parser.XMLErrorHandler)`

### cleanup

    public void cleanup()

  If the application decides to terminate parsing before the xml document is fully parsed, the application should call this method to free any resource allocated during parsing. For example, close all opened streams.

  Specified by:
    `cleanup` in interface `org.apache.xerces.xni.parser.XMLPullParserConfiguration`

### parse

    public void parse(org.apache.xerces.xni.parser.XMLInputSource source)
               throws org.apache.xerces.xni.XNIException,
                      java.io.IOException

  Parses the specified input source.

  Specified by:
    `parse` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `source` - The input source.
  Throws:
    `org.apache.xerces.xni.XNIException` - Throws exception on XNI error.
    `java.io.IOException` - Throws exception on i/o error.

### parse

    public boolean parse(boolean complete)
                  throws org.apache.xerces.xni.XNIException,
                         java.io.IOException

  Description copied from interface: `org.apache.xerces.xni.parser.XMLPullParserConfiguration`
  Parses the document in a pull parsing fashion.

  Specified by:
    `parse` in interface `org.apache.xerces.xni.parser.XMLPullParserConfiguration`
  Parameters:
    `complete` - True if the pull parser should parse the remaining document completely.
  Returns:
    True if there is more document to parse.
  Throws:
    `org.apache.xerces.xni.XNIException` - Any XNI exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the parser.
  See Also:
    `XMLPullParserConfiguration.setInputSource(org.apache.xerces.xni.parser.XMLInputSource)`

### getFeature

    public boolean getFeature(java.lang.String featureId)
                       throws org.apache.xerces.xni.parser.XMLConfigurationException

  Returns the state of a feature.

  Specified by:
    `getFeature` in interface `org.apache.xerces.xni.parser.XMLComponentManager`
  Specified by:
    `getFeature` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `getFeature` in class `ParserConfigurationSettings`
  Parameters:
    `featureId` - The feature identifier.
  Returns:
    true if the feature is supported
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### setFeature

    public void setFeature(java.lang.String featureId,
                           boolean state)
                    throws org.apache.xerces.xni.parser.XMLConfigurationException

  Set the state of a feature. Set the state of any feature in a SAX2 parser. The parser might not recognize the feature, and if it does recognize it, it might not be able to fulfill the request.

  Specified by:
    `setFeature` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `setFeature` in class `ParserConfigurationSettings`
  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
    `state` - The requested state of the feature (true or false).
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - If the requested feature is not known.

### getProperty

    public java.lang.Object getProperty(java.lang.String propertyId)
                                 throws org.apache.xerces.xni.parser.XMLConfigurationException

  Returns the value of a property.

  Specified by:
    `getProperty` in interface `org.apache.xerces.xni.parser.XMLComponentManager`
  Specified by:
    `getProperty` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `getProperty` in class `ParserConfigurationSettings`
  Parameters:
    `propertyId` - The property identifier.
  Returns:
    the value of the property
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### setProperty

    public void setProperty(java.lang.String propertyId,
                            java.lang.Object value)
                     throws org.apache.xerces.xni.parser.XMLConfigurationException

  setProperty

  Specified by:
    `setProperty` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `setProperty` in class `ParserConfigurationSettings`
  Parameters:
    `propertyId` -
    `value` -
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown if there is a configuration error.

### getLocale

    public java.util.Locale getLocale()

  Returns the locale.

  Specified by:
    `getLocale` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`

### reset

    protected void reset()
                  throws org.apache.xerces.xni.XNIException

  reset all XML 1.0 components before parsing and namespace context

  Throws:
    `org.apache.xerces.xni.XNIException`

### resetCommon

    protected void resetCommon()
                        throws org.apache.xerces.xni.XNIException

  reset all common components before parsing

  Throws:
    `org.apache.xerces.xni.XNIException`

### resetXML11

    protected void resetXML11()
                       throws org.apache.xerces.xni.XNIException

  reset all components before parsing and namespace context

  Throws:
    `org.apache.xerces.xni.XNIException`

### configureXML11Pipeline

    protected void configureXML11Pipeline()

  Configures the XML 1.1 pipeline. Note: this method also resets the new XML11 components.

### configurePipeline

    protected void configurePipeline()

  Configures the pipeline.

### checkFeature

    protected void checkFeature(java.lang.String featureId)
                         throws org.apache.xerces.xni.parser.XMLConfigurationException

  Check a feature. If feature is know and supported, this method simply returns. Otherwise, the appropriate exception is thrown.

  Overrides:
    `checkFeature` in class `ParserConfigurationSettings`
  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### checkProperty

    protected void checkProperty(java.lang.String propertyId)
                          throws org.apache.xerces.xni.parser.XMLConfigurationException

  Check a property. If the property is know and supported, this method simply returns. Otherwise, the appropriate exception is thrown.

  Overrides:
    `checkProperty` in class `ParserConfigurationSettings`
  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### addComponent

    protected void addComponent(org.apache.xerces.xni.parser.XMLComponent component)

  Adds a component to the parser configuration. This method will also add all of the component's recognized features and properties to the list of default recognized features and properties.

  Parameters:
    `component` - The component to add.

### addCommonComponent

    protected void addCommonComponent(org.apache.xerces.xni.parser.XMLComponent component)

  Adds common component to the parser configuration. This method will also add all of the component's recognized features and properties to the list of default recognized features and properties.

  Parameters:
    `component` - The component to add.

### addXML11Component

    protected void addXML11Component(org.apache.xerces.xni.parser.XMLComponent component)

  Adds an XML 1.1 component to the parser configuration. This method will also add all of the component's recognized features and properties to the list of default recognized features and properties.

  Parameters:
    `component` - The component to add.

### addRecognizedParamsAndSetDefaults

    protected void addRecognizedParamsAndSetDefaults(org.apache.xerces.xni.parser.XMLComponent component)

  Adds all of the component's recognized features and properties to the list of default recognized features and properties, and sets default values on the configuration for features and properties which were previously absent from the configuration.

  Parameters:
    `component` - The component whose recognized features and properties will be added to the configuration

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.